Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.menu
Class MenuID

    java.lang.Object
      com.bea.portal.tools.resource.ResourceID
          com.bea.portal.tools.resource.framework.TaggedResourceID
              com.bea.portal.tools.portal.menu.MenuID

All Implemented Interfaces
  Serializable

    public final class MenuID

extends com.bea.portal.tools.resource.framework.TaggedResourceID

Identifies a portal menu.

See Also
  Serialized Form

Constructor Summary
`MenuID(MenuIDBuilder builder)` Constructor.
`MenuID(String resourceURN)` Constructor.

Method Summary
`int` | `getId()` Get the identifier of the referrent menu definition.
`MenuDefinitionId` | `getMenuDefinitionId()` Get the `MenuDefinitionId`.
`protected MenuIDBuilder` | `getResourceIDBuilder()` Get the `MenuDefinitionID`.
`protected void` | `setResourcePathTags(boolean canonicalResourceURN, com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceID
`appendResourcePath, getTag, getTags, getTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceID
`appendResourceTypeNamespaceURI, computeResourceURN, computeResourceURN, equals, getCanonicalResourceURN, getResourceEnvironment, getResourceType, getResourceURN, hashCode, narrow, setCanonicalResourceURN, setResourceURN, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuID

    public MenuID(String resourceURN)

  Constructor.

  Parameters
    `resourceURN` - the URN of the referrent resource

### MenuID

    public MenuID(MenuIDBuilder builder)

  Constructor.

  Parameters
    `builder` - the `MenuDefinitionIDBuilder`

Method Detail

### getResourceIDBuilder

    protected MenuIDBuilder getResourceIDBuilder()

  Get the `MenuDefinitionID`. the `MenuDefinitionID`

  Overrides:
    `getResourceIDBuilder` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`
  Returns
    the the `ResourceIDBuilder`

### setResourcePathTags

    protected void setResourcePathTags(boolean canonicalResourceURN,
                                       com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)

  Overrides:
    `setResourcePathTags` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`

### getId

    public int getId()

  Get the identifier of the referrent menu definition.

  Returns
    the identifier of the referrent menu definition

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId()

  Get the `MenuDefinitionId`.

  Returns
    the `MenuDefinitionId`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved